# Uses of Class
javafx.scene.layout.Border

Packages that use Border
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of Border in javafx.scene.layout

Fields in javafx.scene.layout declared as Border
Modifier and Type
Field
Description
`static final Border`
Border.`EMPTY`
An empty Border, useful to use instead of null.
Methods in javafx.scene.layout that return Border
Modifier and Type
Method
Description
`final Border`
Region.`getBorder()`
Gets the value of the `border` property.
Methods in javafx.scene.layout that return types with arguments of type Border
Modifier and Type
Method
Description
`final ObjectProperty<Border>`
Region.`borderProperty()`
The border of the Region, which is made up of zero or more BorderStrokes, and zero or more BorderImages.
Methods in javafx.scene.layout with parameters of type Border
Modifier and Type
Method
Description
`final void`
Region.`setBorder(Border value)`
Sets the value of the `border` property.